Bug 114887 - UI: with disabled OpenGL NAVIGATOR view is jumpy and flickering when moving cell cursor through document.
Summary: UI: with disabled OpenGL NAVIGATOR view is jumpy and flickering when moving c...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Flickering-UI
  Show dependency treegraph
 
Reported: 2018-01-07 16:39 UTC by Rainer Bielefeld Retired
Modified: 2021-01-09 03:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2018-01-07 16:39:25 UTC
Steps how to reproduce with Version: 5.4.4.2 (x64)
Build-ID: 2524958677847fb3bb44820e40380acbe820f960
CPU-Threads: 4; BS: Windows 6.1; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group, my default user profile, Tango theme:

1. Open Attachment 138859 [details] for Bug 114826 (simply click here)
2. Open Navigator and dock it to the left
3. Click cell A1
4. permanently press <uparrow> on your keyboard
   Expected: everything stable
   Actual: flickering / glimmering in Navigator view, looks as if 
           Navigator contents becomes refreshed for every new <uparrow>  :-( 

a) an extreme example you find linked in META "Bug 114885 - [META] Control Elements are flickering, flashing, nervous and jumpy"  😥
Comment 1 Rainer Bielefeld Retired 2018-01-07 18:01:53 UTC
a1) Still a problem with Version: 6.1.0.0.alpha0+ (x64)
    Build ID: c926a1e34672afaa5b7de0e3b08b1537e88fbb6f CPU threads: 4; OS: 
    Windows 6.1; UI render: default; TinderBox: Win-x86_64@42, 
    Branch:master, Time: 2017-12-24_01:10:03
    Locale: de-DE (de_DE); Calc: CL, my default user profile, Tango theme 
a2) Already reproducible with Version: 5.0.4.2  
    Build-ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78 
    Gebietsschema: de-DE (de_DE) standardprofile 
a3) was still ok with Version: 4.2.4.2  
    Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8  own user profile

b) Using a newly created User Profile does not heal the problem
c) Graphic- Hardware Acceleration without influence
d) Also reproducible on a different PC with WIN10
Comment 2 Rainer Bielefeld Retired 2018-01-07 18:25:24 UTC
e) At leas with my test  Version: 5.4.4.2 (x64) Using OpenGL heals the problem
e1) Disabling OpenGL can't be a solution because there are several OpenGL
    related Bugs, even CRASHes like 
    "Bug 114736 - Crash when opening a particular presentation (OpenGL) "
Comment 3 Telesto 2018-01-07 21:53:00 UTC
Likely dupe candidate: bug 113714. Meta-tracker: bug 112889
Comment 4 Rainer Bielefeld Retired 2018-01-08 15:13:39 UTC
(In reply to Telesto from comment #3)
Indeed that looks a little different, and issue from "Bug 113714 - Flicker when hovering over main menu with default rendering" is reproducible on my WIN7 Desktop and vanishes with OpenGL activated.

But: 
d1) Only this one is reproducible for me on different PC with WIN10, 
    Bug 113714 is not relevant on my WIN10 PC.
Comment 5 Telesto 2018-01-08 18:59:27 UTC
Repro with
Version: 6.1.0.0.alpha0+
Build ID: a9b202a6b7000e7af34f2a639ca207122a3968bf
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-26_23:10:23
Locale: nl-NL (nl_NL); Calc: CL

also a repro with 4.3.0.4. 
Bug 113714 started between 4.4.7.2 and 5.0.0.5, so not a dupe (sorry didn't read comment 1 properly)

No repro with
Versie: 4.2.0.4 
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 6 QA Administrators 2019-01-09 03:44:58 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2021-01-09 03:49:57 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug